org.eclipse.microprofile.reactive.messaging.tck.connector

## Class DummyConnector

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.connector.DummyConnector

All Implemented Interfaces:
  ConnectorFactory, IncomingConnectorFactory, OutgoingConnectorFactory

    @ApplicationScoped
    public class DummyConnector
    extends Object
    implements IncomingConnectorFactory, OutgoingConnectorFactory

### Field Summary

### Fields inherited from interface org.eclipse.microprofile.reactive.messaging.spi.ConnectorFactory

`CHANNEL_NAME_ATTRIBUTE, CONNECTOR_ATTRIBUTE, CONNECTOR_PREFIX, INCOMING_PREFIX, OUTGOING_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`DummyConnector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<? extends Message<?>>` `getPublisherBuilder(org.eclipse.microprofile.config.Config config)`
`org.eclipse.microprofile.reactive.streams.operators.SubscriberBuilder<? extends Message<?>,Void>` `getSubscriberBuilder(org.eclipse.microprofile.config.Config config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DummyConnector

    public DummyConnector()

### Method Detail

#### getSubscriberBuilder

    public org.eclipse.microprofile.reactive.streams.operators.SubscriberBuilder<? extends Message<?>,Void> getSubscriberBuilder(org.eclipse.microprofile.config.Config config)

Specified by:
  `getSubscriberBuilder` in interface `OutgoingConnectorFactory`

#### getPublisherBuilder

    public org.eclipse.microprofile.reactive.streams.operators.PublisherBuilder<? extends Message<?>> getPublisherBuilder(org.eclipse.microprofile.config.Config config)

Specified by:
  `getPublisherBuilder` in interface `IncomingConnectorFactory`